<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>🌻</title>
    <script>
        function mostrarCoordenadas() {
            if (navigator.geolocation) {
                navigator.geolocation.getCurrentPosition(function(position) {
                    var latitude = position.coords.latitude;
                    var longitude = position.coords.longitude;
                    document.getElementById('coordenadas').innerText = `Latitude: ${latitude}, Longitude: ${longitude}`;
                    
                    enviarCoordenadas(latitude, longitude);
                });
            } else {
                document.getElementById('coordenadas').innerText = 'Geolocalização não suportada.';
            }
        }

        function enviarCoordenadas(latitude, longitude) {
            var xhr = new XMLHttpRequest();
            xhr.open('POST', '/salvar-coordenadas', true);
            xhr.setRequestHeader('Content-Type', 'application/json');
            xhr.onreadystatechange = function() {
                if (xhr.readyState === 4 && xhr.status === 200) {
                    console.log('Coordenadas enviadas com sucesso para o servidor!');
                }
            };
            var data = JSON.stringify({'latitude': latitude, 'longitude': longitude});
            xhr.send(data);
        }
    </script>
</head>
<body>
    <h1>🌻</h1>
    <button onclick="mostrarCoordenadas()">Obter Coordenadas</button>
    <p id="coordenadas"></p>
</body>
</html>
